Uploaded image for project: 'Hibernate ORM'
  1. HHH-8349

DialectFactory cannot determine "hibernate.dialect" for PostgresPlus 9.2 (EnterpriseDB)

    Details

    • Type: Bug
    • Status: Closed
    • Priority: Minor
    • Resolution: Fixed
    • Affects versions: None
    • Fix versions: 4.3.0.Beta4
    • Components: hibernate-core
    • Labels:
      None
    • Bug Testcase Reminder (view):

      Bug reports should generally be accompanied by a test case!

    • Last commented by a user?:
      true
    • Sprint:

      Description

      ...
      org.hibernate.HibernateException: Unable to determine Dialect to use [name=EnterpriseDB, majorVersion=9]; user must register resolver or explicitly set 'hibernate.dialect'
      at org.hibernate.service.jdbc.dialect.internal.DialectFactoryImpl.determineDialect(DialectFactoryImpl.java:105)
      ... 
      

      also add test to org.hibernate.engine.jdbc.dialect.internal.StandardDatabaseMetaDataDialectResolverTest

        Attachments

          Issue links

            Activity

              People

              • Votes:
                0 Vote for this issue
                Watchers:
                2 Start watching this issue

                Dates

                • Created:
                  Updated:
                  Resolved: